import { Card, CardBody, CardTitle, Grid, GridItem } from "@patternfly/react-core";
import React from "react";
import cockpit from "cockpit";
import { RevPiHelpText } from "../common.components.jsx";
import { InstallFeatureCard } from "./InstallFeature.jsx";

const _ = cockpit.gettext;

export function RunTimeCard ({ getRevpiSwitch }) {
    const cardTitle = _("Runtimes");
    return (
        <Card isFullHeight name='runtime'>
            <CardTitle>
                {cardTitle}
                <RevPiHelpText title={cardTitle}>
                    {_("Configure runtimes.")}
                </RevPiHelpText>
            </CardTitle>
            <CardBody>
                <Grid hasGutter>
                    <GridItem span={12}>
                        <InstallFeatureCard packageName='revpipyload' featureName='revpipyload'>
                            {getRevpiSwitch("revpipyload")}
                        </InstallFeatureCard>
                    </GridItem>
                </Grid>
            </CardBody>
        </Card>
    );
}
